#!/bin/bash

set -euox pipefail

if [ $# -ne 3 ]; then
    echo "Usage: $0 <x2t abs path> <x2t-sandbox abs path> <xml data abs path>"
    exit 1
fi

X2T=$1
X2T_SANDBOX=$2
DATA=$3

for filename in $(ls ${DATA} | grep "\.xml$"); do
    ${X2T_SANDBOX} -l ${filename}.out ${X2T} ${DATA}/${filename}
done

cat ./*.out | sort | uniq > x2t-syscalls.txt